# docker build --platform linux/amd64 -t  proverine . --no-cache
# docker tag proverine elsvital/proverine
# docker push elsvital/proverine

# Passo 1: Imagem base para clonar o repositório
FROM alpine/git as clone_stage

# Define o diretório de trabalho
WORKDIR /app

# Clona o repositório
RUN git clone https://gitlab.com/labxp-ime-usp/2024.1/pro-parna-ba/provenire.git .

# Passo 2: Imagem base Node.js para construir a aplicação Next.js
FROM node:18-alpine as builder

WORKDIR /home/app

# Copia o código clonado do estágio anterior
COPY --from=clone_stage /app /home/app

# Instala as dependências e constrói a aplicação
RUN npm install && npm run build

# Passo 3: Imagem base para executar a aplicação
FROM node:18-alpine

WORKDIR /home/app

# Copia a build e os arquivos necessários do estágio de construção
COPY --from=builder /home/app/ ./

# Expõe a porta que o Next.js irá rodar (por padrão é a 3000)
EXPOSE 3000

# Comando para iniciar a aplicação
CMD ["npm", "start"]
